Subject: [alpine-devel] New aport curl

From: "Carlo Landmeter" <[email-masked]>
Date: Fri, 28 Nov 2008 10:21:11 +0100

Dear List,

Ive created a new aport with the new SDK for the 1.9 branch.
Please review my attached git patch.

Br,

Carlo Landmeter
From 0eecb26f0059afc476265302612dd678f992846d Mon Sep 17 00:00:00 2001
From: Carlo Landmeter <[email-masked]>
Date: Fri, 28 Nov 2008 08:56:31 +0000
Subject: [PATCH] extra/curl: new aport

---
 core/curl/APKBUILD |   21 +++++++++++++++++++++
 1 files changed, 21 insertions(+), 0 deletions(-)
 create mode 100644 core/curl/APKBUILD

diff --git a/core/curl/APKBUILD b/core/curl/APKBUILD
new file mode 100644
index 0000000..3f435b2
--- /dev/null
+++ b/core/curl/APKBUILD
@@ -0,0 +1,21 @@
+# Maintainer:Carlo Landmeter
+pkgname=curl
+pkgver=7.19.2
+pkgrel=0
+pkgdesc="An URL retrival utility and library"
+url="http://curl.haxx.se"
+license="MIT"
+depends="zlib uclibc"
+makedepends="openssl"
+source="http://curl.haxx.se/download/$pkgname-$pkgver.tar.bz2"
+
+subpackages="$pkgname-doc $pkgname-dev"
+
+build() {
+	cd $startdir/src/$pkgname-$pkgver
+	./configure --prefix=/usr --mandir=/usr/share/man --without-libidn --disable-ldap
+	make || return 1
+	make prefix=$startdir/pkg/usr mandir=$startdir/pkg/usr/share/man install
+}
+
+md5sums="3a461b145a4a31fe7d5a44684e7fbdbc  curl-7.19.2.tar.bz2"
-- 
1.5.6.4

---

From: Natanael Copa <[email-masked]>
Date: Fri, 28 Nov 2008 10:43:35 +0100

> Please review my attached git patch.

Very nice!
This is a good example on how an APKBUILD should look like, with proper
-dev and -doc subpackages.

http://dev.alpinelinux.org/cgit/cgit.cgi/aports/commit/?id=08c339487b68d723219d384f72e06b6bf2162076

Do you mind if I add your email address to the Maintainer comment?

Sees also that the patch added the package to core/ and not to extra/ as
the commit message explained. I will move it.

thanks alot!

-nc

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---